## logservice 2.7

=== CMakeLists.txt ===
project( LOGSERVICE )
cmake_minimum_required( VERSION 2.6 )

set(LOGSERVICE_MAJOR_VERSION 2)
set(LOGSERVICE_MINOR_VERSION 7)
set(LOGSERVICE_REVISION_VERSION 0)

set(LOGSERVICE_VERSION ${LOGSERVICE_MAJOR_VERSION}.${LOGSERVICE_MINOR_VERSION}.${LOGSERVICE_REVISION_VERSION})



#-------------- PLATFORM SPECIFIC COMPILATION FLAGS -----------------------
# Requires CMake >= 2.4.7
string( COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "AIX" AIX )
string( COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Darwin" APPLE )
string( COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Linux" LINUX )
string( COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "SunOS" SUNOS )
string( COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "FreeBSD" FREEBSD )
 
if( AIX )
  message( STATUS "XXX System name Aix" )
  add_definitions( -D__aix__ )
elseif( APPLE )
  message( STATUS "XXX System name Darwin" )
  add_definitions( -D__darwin__ )
elseif( LINUX )
  message( STATUS "XXX System name Linux" )
  add_definitions( -D__linux__ )
elseif( SUNOS )
  message( STATUS "XXX System name SunOS" )
  add_definitions( -D__sunos__ )
elseif( FREEBSD )
  message( STATUS "XXX System name FreeBSD" )
  add_definitions( -D__freebsd__ )
endif()


# --------------------- DEPENDENCIES TOWARDS EXTERNAL PACKAGES -------------
# Path to additional modules (i.e. used by FIND_PACKAGE commands making
# reference to non CMake defined "standard" modules):
set( CMAKE_MODULE_PATH ${LOGSERVICE_SOURCE_DIR}/Cmake )

# ---------------- SET THE LINKER SEARCH PATH (RPATH) ----------------------
set( CMAKE_INSTALL_RPATH_USE_LINK_PATH ON
  CACHE BOOL "Whether to set an rpath for dynamic libraries." )
set( CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
  CACHE STRING "Rpath set at install stage." FORCE )



# --------------------- DEPENDENCIES TOWARDS OmniORB -----------------------

# To remove an issue with Cmake internal rpath tool
if (NOT BUILT_SHARED_LIBS)
 set(CMAKE_NO_BUILTIN_CHRPATH 1)
endif ()

# because x86_64 can't link static libraries to shared libraries
# and from 2.5, this is what is done in DIET
# see http://www.mail-archive.com/cross-lfs%40linuxfromscratch.org/msg00411.html
# You will get these messages on x86_64 any place that libtool tries to use a static (.a) library in a .la, and as it says, it can't link. These "recompile with -fPIC" messages fall into three types -
# (i) recompile the current package with -fPIC
# (ii) fix a broken symlink (I had a dangling symlink for ncurses in my scripts, because of a typo - on x86 libtool couldn't find the .so but took the .a and ran with it, on x86_64 it barfed).
# (iii) convert a Makefile to use .la instead of .a (very uncommon).

# Note: CMAKE_SYSTEM_PROCESSOR return the equivalent of uname -p, note uname -m

if (UNIX AND NOT WIN32)
  find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if (CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE SYSTEM_PROC_TYPE)
   set(SYSTEM_PROC_TYPE ${SYSTEM_PROC_TYPE} CACHE INTERNAL
     "processor type (i386 and x86_64)")
     if (SYSTEM_PROC_TYPE MATCHES "x86_64|amd64")
     # TODO: Should be done only for libraries build
     add_definitions(-fPIC)
   endif()
 endif()
endif()

# Are libraries dynamic libraries as opposed to library archives ?
# Note: this variable is a cmake internal.
option(BUILD_SHARED_LIBS "Build libraries as shared libraries." ON)


# --------------------- DEPENDENCIES TOWARDS OmniORB -----------------------
find_package( OmniORB )
if (OMNIORB4_FOUND)
  add_definitions(-D__OMNIORB4__)
  if (BUILD_SHARED_LIBS)
    # Link DIET to OmniORB shared libs
    set(OMNIORB4_LIBRARIES ${OMNIORB4_LIBRARIES_sh})
  else ()
    # Link DIET to OmniORB static libs
    set(OMNIORB4_LIBRARIES ${OMNIORB4_LIBRARIES_st})
  endif ()
else ()
  message("omniORB installation was not found. Please provide OMNIORB4_DIR:")
  message("  - through the GUI when working with ccmake, ")
  message("  - as a command line argument when working with cmake e.g. ")
  message("    cmake .. -DOMNIORB4_DIR:PATH=/usr/local/omniORB-4.0.7 ")
  message("Note: the following message is triggered by cmake on the first ")
  message("    undefined necessary PATH variable (e.g.  OMNIORB4_INCLUDE_DIR).")
  message("    Providing OMNIORB4_DIR (as above described) is probably the")
  message("    simplest solution unless you have a really customized/odd")
  message("    omniORB installation...")
  set(OMNIORB4_DIR "" CACHE PATH "Root of omniORB install tree.")
endif ()


# ------------------------- BACKGROUND OPTION ----------------------------
option( LOGSERVICE_BACKGROUND "Add the background support..." ON )

if( LOGSERVICE_BACKGROUND )
  add_definitions( -DHAVE_BACKGROUND )
endif()

if (UNIX AND NOT WIN32)
  find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
  if (CMAKE_UNAME)
    exec_program(uname ARGS -m OUTPUT_VARIABLE SYSTEM_PROC_TYPE)
    set(SYSTEM_PROC_TYPE ${SYSTEM_PROC_TYPE} CACHE INTERNAL 
      "processor type (i386 and x86_64)")
    if (SYSTEM_PROC_TYPE MATCHES "x86_64|amd64")
      # TODO: Should be done only for libraries build
      add_definitions(-fPIC)
    endif()
  endif()
endif()

set (AR_DIR ${CMAKE_MODULE_PATH})
find_package (AR)

add_subdirectory( src )
add_subdirectory( docs/man )

=== src/CMakeLists.txt ===
set (binary)

ADD_SUBDIRECTORY( idl )
ADD_SUBDIRECTORY( utils )
ADD_SUBDIRECTORY( monitor )
ADD_SUBDIRECTORY( libraries )
ADD_SUBDIRECTORY( examples )

# Directories for includes (-I)
include_directories(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/utils
)

# List of all sources files for forwarder
set(Forwarder_SOURCES
  SSHTunnel.cc
  Options.cc
  NetConfig.cc
  LogForwarder.cc
  LogORBMgr.cc
)


## Compile CorbaCommon static library
add_library(CorbaCommon STATIC
  LogORBMgr.cc
)


install( FILES LogORBMgr.hh DESTINATION include/ )

# Creation de l'executable logForwarder
add_executable(logForwarder
  logFwdr.cc
)

# CorbaCommon library depends on CORBA files
add_dependencies(CorbaCommon CORBAFiles)

## Creation d'une librairie LogForwarder
add_library(LogForwarderUtils
  ${Forwarder_SOURCES}
  )

set_target_properties (LogForwarderUtils PROPERTIES VERSION ${LOGSERVICE_VERSION})
find_package (AR)

# If building a static lib, gathering all the objects with ar (cannot link .a together)
if (NOT BUILD_SHARED_LIBS)

  get_target_property (AR_RES LogForwarderUtils LOCATION)

  ADD_CUSTOM_COMMAND(
    TARGET LogForwarderUtils
    COMMAND ${CMAKE_AR}
    ARGS ${AR_ARGS} ${AR_RES} ${binary}
    )
endif (NOT BUILD_SHARED_LIBS)

target_link_libraries(LogForwarderUtils
  ${OMNIORB4_LIBRARIES}
  CorbaCommon
  LogServiceMonitor
  pthread
  )

install(TARGETS LogForwarderUtils DESTINATION lib)


target_link_libraries(logForwarder
  ${OMNIORB4_LIBRARIES}
  LogForwarderUtils
)

install(TARGETS logForwarder DESTINATION bin)

=== docs/man/CMakeLists.txt ===
##############################################################################
# man pages generation
# we need rst2man for the generation
#
##############################################################################
find_program( RST2MAN_BIN rst2man )
if( RST2MAN_BIN )
  # set man pages install dir
  set( MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/man"
    CACHE PATH "Directory where man pages will be installed" FORCE )

  add_custom_target( man ALL )

  file( GLOB MAN_PAGES_SRCS 
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.rst" )

  # create man output directory
  file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/man1" )

  foreach( SRC ${MAN_PAGES_SRCS} )
    string( REGEX REPLACE "(.*).rst$" "\\1" BASENAME ${SRC} )
    add_custom_target( "man-${BASENAME}"
      ${RST2MAN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/${SRC}" "man1/${BASENAME}.1" )
    add_dependencies( man "man-${BASENAME}" ) 
  endforeach()

  install( DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/man1"
    DESTINATION "${MAN_INSTALL_DIR}" )
else()
  message( WARNING " Man pages will not be built due to missing requirements." )
  message( WARNING " Please install rst2man (usually included in python-docutils package)" )
endif()

=== src/examples/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/
  ${LOGSERVICE_SOURCE_DIR}/src/monitor
  ${LOGSERVICE_SOURCE_DIR}/src/utils
)

#########
INCLUDE_DIRECTORIES( ${LOGSERVICE_SOURCE_DIR}/src/libraries/LogToolBaseC++ )

ADD_EXECUTABLE( DIETtestTool DIETtestTool.cc )
TARGET_LINK_LIBRARIES( DIETtestTool
  LogForwarderUtils
  LogServiceToolBase
)
INSTALL( TARGETS DIETtestTool DESTINATION bin )

#########
INCLUDE_DIRECTORIES(
  ${LOGSERVICE_SOURCE_DIR}/src/libraries/LogComponentBaseC++
)
ADD_EXECUTABLE( testComponent testComponent.cc )
TARGET_LINK_LIBRARIES( testComponent
  LogForwarderUtils
  LogServiceComponentBase
)
INSTALL_TARGETS( /bin/ testComponent )
##
###########

=== src/idl/CMakeLists.txt ===
# LogService cmake local file

# Generate the code out of the IDL source files and build the ad-hoc libraries.
# (idl is part of omniORB which is mandatory)


INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


# Define the flags for the IDL compiler
SET(
  LOGSERVICE_IDL_FLAGS "-bcxx -Wba -Wbtp"
  CACHE STRING
  "Idl compiler flags"
  FORCE
)

MARK_AS_ADVANCED( LOGSERVICE_IDL_FLAGS )

# Transform LOGSERVICE_IDL_FLAGS from a string to a string list containing
# the arguments for omniidl
SEPARATE_ARGUMENTS( LOGSERVICE_IDL_FLAGS )

SET( IDL_SOURCES
  LogComponent
  LogTool
  LogTypes
  CorbaLogForwarder
  LogComponentFwdr
  LogToolFwdr
  commonLogTypes
)

# The C/C++ callers of the idl generated interface will include the 
# idl generated header files. The following technical variable is a
# commidity for expressing this dependency (refer below to the definition
# of LOGSERVICE_TARGET_IDL_GENERATED_HEADERS):
#SET( LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES )

SET( LOGSERVICE_IDL_GENERATED_CXX_FILES "" )

FOREACH( loop_var ${IDL_SOURCES} )

  ADD_CUSTOM_COMMAND(
    OUTPUT    ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}SK.cc
              ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}DynSK.cc
              ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}.hh
    COMMAND   ${OMNIORB4_IDL_COMPILER}
    ARGS      ${LOGSERVICE_IDL_FLAGS}
              ${CMAKE_CURRENT_SOURCE_DIR}/${loop_var}.idl
    DEPENDS   ${CMAKE_CURRENT_SOURCE_DIR}/${loop_var}.idl
    IMPLICIT_DEPENDS CXX ${loop_var}.idl
    COMMENT   "idl generated code: ${loop_var}SK.cc, ${loop_var}DynSK.cc and ${loop_var}.hh")

    set (LOGSERVICE_IDL_GENERATED_CXX_FILES
      ${LOGSERVICE_IDL_GENERATED_CXX_FILES}
      ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}SK.cc
      ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}DynSK.cc
      )

    set (LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
      ${LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES}
      ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}.hh
      )

    # To save all the generated files object
    set (OBJ_TMP
      ${OBJ_TMP}
      ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogCorba.dir/${loop_var}SK.cc.o
      ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogCorba.dir/${loop_var}DynSK.cc.o
      )

ENDFOREACH(loop_var)

# Setting generated objects for the ar command
set (binary
  ${binary}
  ${OBJ_TMP}
  PARENT_SCOPE
)


install( FILES ${LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES} DESTINATION include/ )

# idl generated header files:
ADD_CUSTOM_TARGET( LOGSERVICE_TARGET_IDL_GENERATED_HEADERS
  DEPENDS  ${LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES}
)

add_custom_target(CORBAFiles
  DEPENDS  
  ${LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES}
  ${LOGSERVICE_IDL_GENERATED_CXX_FILES}
  )

add_library(LogCorba STATIC
  ${LOGSERVICE_IDL_GENERATED_CXX_FILES}
  )

add_dependencies(LogCorba ${LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES})

=== src/libraries/CMakeLists.txt ===
ADD_SUBDIRECTORY( LogComponentBaseC++ )
ADD_SUBDIRECTORY( LogToolBaseC++ )
#ADD_SUBDIRECTORY( LogComponentBaseJava )
#ADD_SUBDIRECTORY( LogToolBaseJava )

=== src/monitor/CMakeLists.txt ===
######### First the LogServiceMonitor library:
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/utils
)


add_library(LogServiceMonitor STATIC
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/CoreThread.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogCentralComponent_impl.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogCentralTool_impl.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogOptions.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/ReadConfig.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/SendThread.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/SimpleFilterManager.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/StateManager.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/TimeBuffer.cc
)

set (binary
  ${binary}
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/CoreThread.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogCentralComponent_impl.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogCentralTool_impl.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogOptions.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/ReadConfig.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/SendThread.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/SimpleFilterManager.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/StateManager.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/TimeBuffer.cc.o
  PARENT_SCOPE
  )

add_dependencies (LogServiceMonitor
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)

TARGET_LINK_LIBRARIES( LogServiceMonitor
  LogServiceUtils
  LogCorba
  ${OMNIORB4_LIBRARIES}
)


######### Then the LogCentral executable:
ADD_EXECUTABLE( LogCentral LogCentral.cc )
TARGET_LINK_LIBRARIES( LogCentral
  LogForwarderUtils
)
INSTALL( TARGETS LogCentral DESTINATION bin )

=== src/tester/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/utils
  ${LOGSERVICE_SOURCE_DIR}/src/monitor
)

ADD_EXECUTABLE( testSystem
  ComponentConfigurator_impl.cc
  PassiveComponent.cc
  PassiveTool.cc
  ToolMsgReceiver_impl.cc
  testSystem.cc
)

TARGET_LINK_LIBRARIES( testSystem
  LogServiceIDL
  LogServiceUtils
  LogServiceMonitor
  ${OMNIORB4_LIBRARIES}
)
INSTALL( TARGETS testSystem DESTINATION bin )

=== src/utils/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

ADD_LIBRARY( LogServiceUtils STATIC
  ORBTools.cc
  LocalTime.cc
)
ADD_DEPENDENCIES( LogServiceUtils
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
TARGET_LINK_LIBRARIES( LogServiceUtils   LogCorba ${OMNIORB4_LIBRARIES} )

set (binary
  ${binary}
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceUtils.dir/ORBTools.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceUtils.dir/LocalTime.cc.o
  PARENT_SCOPE
  )

=== src/libraries/LogComponentBaseC++/CMakeLists.txt ===
include_directories(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_SOURCE_DIR}/src/utils         # For e.g. ORBTools.hh
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

add_library( LogServiceComponentBase
  LogComponentBase.cc
  ComponentConfigurator_impl.cc
  PingThread.cc
  FlushBufferThread.cc
  )
add_dependencies( LogServiceComponentBase
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
set_target_properties(LogServiceComponentBase PROPERTIES VERSION ${LOGSERVICE_VERSION})

target_link_libraries( LogServiceComponentBase
  LogForwarderUtils
  ${OMNIORB4_LIBRARIES}
)

install( TARGETS LogServiceComponentBase DESTINATION lib )
install( FILES LogComponentBase.hh
  ComponentConfigurator_impl.hh
  FlushBufferThread.hh
  PingThread.hh
  DESTINATION include )
include(CPack)

=== src/libraries/LogComponentBaseJava/CMakeLists.txt ===
FILE( GLOB LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB "*.java" )

FOREACH(file ${LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB} )
  INSTALL( FILES ${file} DESTINATION lib/LogServiceComponentBaseJava )
ENDFOREACH(file ${LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB} )

=== src/libraries/LogToolBaseC++/CMakeLists.txt ===
include_directories(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_SOURCE_DIR}/src/utils         # For e.g. ORBTools.hh
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

add_library( LogServiceToolBase LogToolBase.cc)
add_dependencies( LogServiceToolBase
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
set_target_properties(LogServiceToolBase PROPERTIES VERSION ${LOGSERVICE_VERSION})
target_link_libraries( LogServiceToolBase
  LogForwarderUtils
  ${OMNIORB4_LIBRARIES}
)
install( TARGETS LogServiceToolBase DESTINATION lib )
install( FILES LogToolBase.hh DESTINATION include )
include(CPack)

=== debian/changelog ===
logservice (2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791194).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:46:18 +0200

logservice (2.7-1) unstable; urgency=low

  * Initial release (Closes: #628656)

 -- Haïkel Guémar <haikel.guemar@sysfera.com>  Wed, 11 May 2011 19:46:18 +0200

=== debian/control ===
Source: logservice
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Haïkel Guémar <haikel.guemar@sysfera.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, python-docutils,
               libomniorb4-dev, omniidl, chrpath
Standards-Version: 3.9.2
Section: science
Homepage: http://graal.ens-lyon.fr/DIET/logservice.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/logservice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/logservice.git

Package: logcentral
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging service for distributed applications
 Monitoring distributed applications that are spread over a network is not an 
 easy task.  Information from several sources must be gathered,  filtered and 
 distributed to visualisation tools.
 .            
 LogService is a system that simplifies this task. 
 It acts as a common base between an application and it's visualisation tools.
 It also provides a mechanism to classify and filter messages in a general 
 way and other functions are needed to monitor distributed applications.
 .
 The service is named LogCentral.

Package: logcentral-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging service for distributed applications
 Monitoring distributed applications that are spread over a network is not an 
 easy task.  Information from several sources must be gathered,  filtered and 
 distributed to visualisation tools.
 .            
 LogService is a system that simplifies this task. 
 It acts as a common base between an application and it's visualisation tools.
 It also provides a mechanism to classify and filter messages in a general 
 way and other functions are needed to monitor distributed applications.
 .
 The service is named LogCentral.

Package: liblogservicecomponentbase2v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblogservicecomponentbase2
Replaces: liblogservicecomponentbase2
Description: Library for building LogService components
 LogService is a logging service for distributed applications.
 .
 This library allows writing components (or sources) that will log messages
 into LogCentral.

Package: liblogservicecomponentbase2-dev
Section: libdevel
Architecture: any
Depends: liblogservicecomponentbase2v5 (= ${binary:Version}),
         liblogforwarderutils2-dev (= ${binary:Version}),
         ${misc:Depends}     
Description: liblogservicecomponentbase development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications  
 using libLogComponentBase.

Package: liblogservicetoolbase2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for building LogService tools
 LogService is a logging service for distributed applications.
 .
 This library allows writing tools (or clients) that will be able to retrieve 
 logs from LogCentral.

Package: liblogservicetoolbase2-dev
Section: libdevel
Architecture: any
Depends: liblogservicetoolbase2 (= ${binary:Version}),
         liblogforwarderutils2-dev (= ${binary:Version}),
          ${misc:Depends}
Description: liblogservicetool development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications 
 using libLogServiceTool.

Package: liblogforwarderutils2v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblogforwarderutils2
Replaces: liblogforwarderutils2
Description: Base library for LogService elements
 LogService is a logging service for distributed applications.
 .
 This library serves as base library for libLogServiceComponentBase 
 and libLogServiceToolComponent.


Package: liblogforwarderutils2-dev
Section: libdevel
Architecture: any
Depends: liblogforwarderutils2v5 (= ${binary:Version}),
         libomniorb4-dev,
         ${misc:Depends}
Description: liblogforwarderutils development files
 LogService is a logging service for distributed applications.
 .
 This package contains development libraries and headers to build applications  
 using liblogforwarderutils.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install :
	dh_auto_install --fail-missing
	# install daemon configuration file
	install -m 0644 -D  $(CURDIR)/debian/LogCentral.config $(CURDIR)/debian/tmp/etc/LogCentral.cfg
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/DIETtestTool
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/LogCentral
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/logForwarder
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/testComponent
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/libLog*.so.*
